Subject: Re: [Bitcoin-development] Peer Discovery and Overlay

From: Tier Nolan <[email-masked]>
Date: Tue, 24 Dec 2013 10:47:26 +0000

On Tue, Dec 24, 2013 at 8:52 AM, Jeremy Spilman <[email-masked]> wrote:

> Are there any past instances of applications hijacking or interfacing with
> the exiting p2p messages, or abusing 'getaddr' functionality? Are there
> any guidelines on this, or should there be?
>
>
There was a BIP by Stefan Thomas for adding custom services to the
protocol.  Discovery would be helpful here too.  If this was added, it
wouldn't be intended for use in a hostile way though.

This one was the custom services BIP.  It defines a change to the version
message and also custom sub-commands.
https://github.com/bitcoin/bips/blob/master/bip-0036.mediawiki

This one discusses how network discovery should be handles.
https://en.bitcoin.it/wiki/User:Justmoon/BIP_Draft:_Custom_Service_Discovery